package nl.iobyte.themepark.api.menu.objects.handlers;

import nl.iobyte.menuapi.enums.Types;
import nl.iobyte.menuapi.interfaces.IActionHandler;
import nl.iobyte.themepark.utils.PlaceHolder;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import java.util.List;

public class JsonMessageMenuHandler implements IActionHandler {

    private final String message;

    public JsonMessageMenuHandler(String message) {
        this.message = message;
    }

    public String getID() {
        return "JSON_MESSAGE";
    }

    public List<ClickType> getClickTypes() {
        return Types.NORMAL.getTypesList();
    }

    public void execute(Player player) {
        player.closeInventory();
        Bukkit.dispatchCommand(
                Bukkit.getConsoleSender(),
                "tellraw "+player.getName()+" "+PlaceHolder.setPlaceHolders(
                        player,
                        message
                )
        );
    }

}
