package nl.iobyte.themepark.commands.arguments;

import nl.iobyte.commandapi.interfaces.ICommandArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.ArgumentCheck;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import java.util.List;

public class PlayerArgument implements ICommandArgument<Player> {

    public String getMessage(String[] args) {
        return "No player with name: "+ ChatColor.WHITE+args[0];
    }

    public ArgumentCheck checkArgument(ICommandExecutor sender, String[] args, List<Object> list) {
        return new ArgumentCheck(Bukkit.getPlayer(args[0]) != null, 1);
    }

    public Player getArgument(ICommandExecutor sender, String[] args, List<Object> list) {
        return Bukkit.getPlayer(args[0]);
    }

}
