package nl.iobyte.themepark.commands.subcommands.status;

import nl.iobyte.commandapi.arguments.BooleanArgument;
import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import org.bukkit.entity.Player;
import java.util.List;

public class StatusTeleportCommand extends SubCommand {

    public StatusTeleportCommand(String cmd)  {
        super("themepark.admin", "status", "teleport");

        addSyntax("/"+cmd+" status teleport <id> <teleport>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new BooleanArgument());
    }

    
    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Status status = (Status) list.get(0);
        boolean b = (boolean) list.get(1);
        status.setCanTeleport(b);
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed if status &f"+status.toString()+" &acan teleport"));
    }

}
