package nl.iobyte.themepark.api.event.attraction;

import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.event.objects.AttractionEvent;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;

public class AttractionPreStatusChangeEvent extends AttractionEvent<Status> implements Cancellable {

    private final Player player;
    private boolean b = false;

    public AttractionPreStatusChangeEvent(Attraction attraction, Status old, Status current, Player player) {
        super(attraction, old, current);
        this.player = player;
    }

    public Player getPlayer() {
        return player;
    }

    public boolean isCancelled() {
        return b;
    }

    public void setCancelled(boolean b) {
        this.b = b;
    }

}
